/*
 * Created on May 13, 2004
 */
package eShopper;

/**
 * This is a recipe that is in the database but does not need the information
 * associated with being in a shopping list.
 * 
 * @author Nathan
 *
 */
public class Recipe {
	int myID;
	String myName;
	
	/**
	 * Explicit value constructor for a recipe.
	 * 
	 * @param ID of the recipe
	 * @param name of the recipe
	 */
	public Recipe(int ID, String name){
		myID = ID;
		myName = name;
	}
	
	/**
	 * Accessor method for the ID of the recipe.
	 * 
	 * @return The recipe's ID.
	 */
	public int getID() {
		return myID;
	}
	
	/**
	 * Override of the toString function inherited from Object.
	 * 
	 * @return name of the recipe
	 */
	public String toString(){
		return myName;
	}
}
