package eShopper;

import javax.swing.*;

/*
 * Created Apr 27, 2004
 */
 
/** 
 * This is the executive part of the program. It gets everything going and 
 *  leaves the GUI and data parts to do what they do.
 * 
 * @author Jim Laing. 
 */
public class eShopper {

	eShopperList list; 

	/**
	 * constructor
	 *
	 */
	public eShopper() {
		System.out.println("eShopper by eGroup: Shop Better");
		list = new eShopperList(1, eShopperRoot.DATE, new eShopperDB()); 
		MainWindow window = new MainWindow(list);
		window.setTitle("eShopper");
		window.setSize(600, 515);
		window.setLocation(100, 50);
		window.setVisible(true);
	}
    
	/**
	 * This is the main function for eShopper.  It starts up the main
	 * window, and that's it.
	 * 
	 * @param args Command line arguments.
	 */
	public static void main(String []args) {
		try {
			UIManager.setLookAndFeel(
				UIManager.getCrossPlatformLookAndFeelClassName());
				//UIManager.getSystemLookAndFeelClassName());
		} catch (Exception e) {}
		JFrame.setDefaultLookAndFeelDecorated(true);
		eShopper es = new eShopper();
	}
}
